package com.loit.shardingsphere.seata.controller;


import com.loit.shardingsphere.seata.modules.service.IBusinessService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 前端控制器
 */
@RestController
@RequestMapping("/demo")
@Slf4j
public class DemoController {

    @Autowired
    IBusinessService businessService;

    @GetMapping("purchase")
    public void purchase() {
        for (long i = 10; i < 20; i++) {
            businessService.purchase(i);
        }
        log.info("success");
    }


}

